"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeSvg = require("react-native-svg");

var _reactNativeReanimated = require("react-native-reanimated");

var _AnimatedStroke = _interopRequireDefault(require("./AnimatedStroke"));

var _PlaceholderStroke = _interopRequireDefault(require("./PlaceholderStroke"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AnimatedLogo = ({
  margin,
  paths,
  vWidth,
  vHeight,
  duration,
  strokeWidth,
  strokeColor,
  animatedStrokeColor,
  isRepeat = false,
  isAnimationFinished
}) => {
  const width = _reactNative.Dimensions.get('window').width - 64;
  const height = (width * vHeight + margin) / (vWidth + margin);
  const progress = (0, _reactNativeReanimated.useSharedValue)(0);

  const animationFinished = isFinished => {
    if (isRepeat === false) {
      isAnimationFinished === null || isAnimationFinished === void 0 ? void 0 : isAnimationFinished(isFinished);
    }
  };

  _react.default.useEffect(() => {
    progress.value = isRepeat ? (0, _reactNativeReanimated.withRepeat)((0, _reactNativeReanimated.withTiming)(1, {
      duration,
      easing: _reactNativeReanimated.Easing.inOut(_reactNativeReanimated.Easing.ease)
    }), -1, true) : (0, _reactNativeReanimated.withTiming)(1, {
      duration,
      easing: _reactNativeReanimated.Easing.inOut(_reactNativeReanimated.Easing.ease)
    }, () => {
      (0, _reactNativeReanimated.runOnJS)(animationFinished)(true);
    }); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [progress]);

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.layer
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
    width: width,
    height: height,
    viewBox: "".concat(-margin / 2, " ").concat(-margin / 2, " ").concat(vWidth + margin / 2, " ").concat(vHeight + margin / 2)
  }, paths.map((d, key) => /*#__PURE__*/_react.default.createElement(_AnimatedStroke.default, {
    d: d,
    strokeWidth: strokeWidth,
    animatedStrokeColor: animatedStrokeColor,
    progress: progress,
    key: key
  })))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.layer, {
      opacity: 0.2
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
    width: width,
    height: height,
    viewBox: "".concat(-margin / 2, " ").concat(-margin / 2, " ").concat(vWidth + margin / 2, " ").concat(vHeight + margin / 2)
  }, paths.map((d, key) => /*#__PURE__*/_react.default.createElement(_PlaceholderStroke.default, {
    key: key,
    d: d,
    strokeWidth: strokeWidth,
    strokeColor: strokeColor
  })))));
};

var _default = AnimatedLogo;
exports.default = _default;

const styles = _reactNative.StyleSheet.create({
  layer: { ..._reactNative.StyleSheet.absoluteFillObject,
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=AnimatedLogo.js.map