"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

var _reactNativeSvg = require("react-native-svg");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AnimatedPath = _reactNativeReanimated.default.createAnimatedComponent(_reactNativeSvg.Path);

const AnimatedStroke = ({
  d,
  strokeWidth,
  animatedStrokeColor,
  progress
}) => {
  const ref = _react.default.useRef(null);

  const [length, setLength] = _react.default.useState(0);

  const animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => ({
    strokeDashoffset: length - length * _reactNativeReanimated.Easing.bezier(0.37, 0, 0.63, 1)(progress.value)
  }));
  const animatedBGProps = (0, _reactNativeReanimated.useAnimatedProps)(() => ({
    strokeDashoffset: length - length * _reactNativeReanimated.Easing.bezier(0.61, 1, 0.88, 1)(progress.value),
    fillOpacity: progress.value
  }));
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(AnimatedPath, {
    animatedProps: animatedBGProps,
    d: d,
    stroke: animatedStrokeColor,
    strokeWidth: strokeWidth,
    fill: "white",
    strokeDasharray: length
  }), /*#__PURE__*/_react.default.createElement(AnimatedPath, {
    ref: ref,
    onLayout: () => setLength(ref.current.getTotalLength()),
    animatedProps: animatedProps,
    d: d,
    stroke: "#000",
    strokeWidth: strokeWidth,
    strokeDasharray: length
  }));
};

var _default = AnimatedStroke;
exports.default = _default;
//# sourceMappingURL=AnimatedStroke.js.map