import React from 'react';
import Animated from 'react-native-reanimated';
import { Path } from 'react-native-svg';
const AnimatedPath = Animated.createAnimatedComponent(Path);

const AnimatedBgStroke = ({
  d,
  strokeWidth,
  strokeColor
}) => {
  const ref = React.useRef(null);
  const [length, setLength] = React.useState(0);
  return /*#__PURE__*/React.createElement(AnimatedPath, {
    ref: ref,
    onLayout: () => setLength(ref.current.getTotalLength()),
    d: d,
    stroke: strokeColor,
    strokeWidth: strokeWidth,
    strokeDasharray: length
  });
};

export default AnimatedBgStroke;
//# sourceMappingURL=PlaceholderStroke.js.map